import { Expression, ExpressionType, SourceCallType, SourceCallExpression, ExpressionVisitor } from "./expressions";
export declare function filter(query: any): SourceCallExpression;
export declare function first(query: any): SourceCallExpression;
export declare function sort(query: any): SourceCallExpression;
export declare function skip(value: number): SourceCallExpression;
export declare function take(value: number): SourceCallExpression;
export declare function count(): SourceCallExpression;
export declare function select(props: Array<string> | Object): {
    type: ExpressionType;
    method: SourceCallType;
    args: {
        type: ExpressionType;
        value: any;
    }[];
};
export declare function pankirin(...expressions: Expression[]): any;
export declare function expressionToYubiQlVisitor(): ExpressionVisitor;
export declare function queryable(done: (result: Object) => Promise<any>): {
    expression: any;
    query(...expressions: any[]): any;
    toJson(): Object;
    memorize(): Promise<any>;
};
