"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.provider = exports.Service = void 0;
const service_container_1 = require("./service-container");
class Service {
    static createContainer() {
        return new service_container_1.ServiceContainerImp();
    }
}
exports.Service = Service;
function provider(serviceProvider, o) {
    return function (req, res, next) {
        let name = (function () {
            if (o == null)
                return 'provider';
            if (typeof o === 'string')
                return o;
            return o.name;
        })();
        let sprovider = serviceProvider.clone();
        req[name] = sprovider;
        let original = sprovider.get;
        sprovider.get = function (name) {
            if (name === '@request') {
                return req;
            }
            return original.apply(sprovider, arguments);
        };
        req.service = function (n) {
            return this[name].get(n);
        };
        next();
    };
}
exports.provider = provider;
