import { Composite, Eq, Filter, Key, Visitor, Range, Or, Order, Page, Element, Qr } from './query-string';
export declare class StringVisitor extends Visitor {
    filters: Array<{
        key: string;
        value: string;
    }>;
    keys: Key;
    orders: Order;
    pages: Page;
    qrs: Qr;
    constructor();
    private insert;
    composite(composite: Composite): void;
    filter(filter: Filter): void;
    key(key: Key): void;
    eq(eq: Eq): void;
    range(range: Range): void;
    or(or: Or): void;
    order(order: Order): void;
    qr(qr: Qr): void;
    page(page: Page): void;
    toString(): string;
}
export default function (query: Element): string;
