"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.group = void 0;
function group(selector, items) {
    let groups = [];
    items.forEach((expression) => {
        let element = groups.find(x => JSON.stringify(x.key) === JSON.stringify(selector(expression)));
        if (element == null) {
            groups.push({ key: selector(expression), items: [expression] });
            return true;
        }
        element.items.push(expression);
    });
    return groups;
}
exports.group = group;
